Subject: Re: bug#18795: 25.0.50; Error when click window-mgr icon to close window (frame) and quit Emacs

From: Eli Zaretskii <[email-masked]>
Date: Wed, 22 Oct 2014 22:33:24 +0300

> Date: Wed, 22 Oct 2014 20:46:53 +0200
> From: Dani Moncayo <[email-masked]>
> Cc: Glenn Morris <[email-masked]>, [email-masked]
> 
> >> 1. What configure options should I use?
> >
> > Only --prefix, and nothing else, please.  The exactt value of the
> > prefix doesn't matter, as Emacs will determine the directories it
> > needs during startup, relative to where its binary lives.
> 
> If the exact value of the prefix does not matter, the what is wrong
> with the default value?

The principle.

> > It would be best to strip temacs.exe manually ("strip temacs.exe") and
> > then re-dump Emacs, before running "make install".
> 
> How can I re-dump Emacs?  (sorry I've never done such thing manually)

Just type "make" after stripping, and if that doesn't produce a new
emacs.exe, "touch temacs.exe" should; or just delete emacs.exe and say
"make".

> > Please remember to put bin/libXpm-nox4.dll in the binary zip, so that
> > users could have an Emacs capable of display the XPM icons.
> 
> Can you give me the URL to grab that library (binary and sourcecode)?
> I have a link that seems no longer valid [1].

One place is here:

  http://gnuwin32.sourceforge.net/packages/xpm.htm

Or you could use the sources that are already on the GNU FTP site:

  http://ftp.gnu.org/gnu/emacs/windows/libxpm-3.5.8-w32-src.zip

and build the DLL yourself.